<?php

/* SSL Management */
$useSSL = true;
require_once(dirname(__FILE__) . '/../../config/config.inc.php');
require_once(dirname(__FILE__) . '/../../images.inc.php');
require_once(dirname(__FILE__) . '/../../init.php');

if (!$cookie->isLogged())
    Tools::redirect('authentication.php?back=modules/addprod/addprod-user.php');

//Tools::addJS(array(_PS_JS_DIR_ . 'jquery/jquery.idTabs.modified.js'));

function copyImage($id_product, $id_image, $image_file) {
    if (!isset($image_file) OR !file_exists($image_file))
	return false;
    if (!$tmpName = tempnam(_PS_TMP_IMG_DIR_, 'PS') OR !move_uploaded_file($image_file, $tmpName))
	$error = Tools::displayError('An error occured during the image upload');
    elseif (!imageResize($tmpName, _PS_IMG_DIR_ . 'p/' . $id_product . '-' . $id_image . '.jpg'))
	$error = Tools::displayError('an error occurred while copying image');
    else {
	$imagesTypes = ImageType::getImagesTypes('products');
	foreach ($imagesTypes AS $k => $imageType)
	    if (!imageResize($tmpName, _PS_IMG_DIR_ . 'p/' . $id_product . '-' . $id_image . '-' . stripslashes($imageType['name']) . '.jpg', $imageType['width'], $imageType['height']))
		$error = Tools::displayError('an error occurred while copying image') . ' ' . stripslashes($imageType['name']);
    }
    @unlink($tmpName);
}

include(dirname(__FILE__) . '/../../header.php');

$activeTab = 'adprod';
$error = false;


if (Tools::isSubmit('submitProduct')) {
//	var_dump($_FILES['image_product']);die();
//Производитель
    $customer = new Customer(intval($cookie->id_customer));
    $manufacturer = new Manufacturer($customer->id);
    if (!Validate::isLoadedObject($manufacturer)) {
	$manufacturer->id = $customer->id;
	$manufacturer->name = $customer->firstname;
	$manufacturer->add();
    }
//Продукт
    $product = new Product();
    $lngs = Language::getLanguages();
    foreach ($lngs as $lng)
	$product->name[$lng['id_lang']] = Tools::getValue('name');
    foreach ($lngs as $lng)
	$product->description_short[$lng['id_lang']] = Tools::getValue('description_short');
    foreach ($lngs as $lng)
	$product->description[$lng['id_lang']] = Tools::getValue('description');
    $product->id_category_default = intval(Tools::getValue('category'));
    $product->price = floatval(Tools::getValue('price'));
    $product->quantity = 1000;
    $product->id_tax = 0;
    $product->active = true;
    $product->add();
//Категории
    $product->updateCategories(array($product->id_category_default), false);
//Файл
    $download = new ProductDownload();
    $download->id_product = $product->id;
    $download->display_filename = $_FILES['virtual_product_file']['name'];
    $download->physically_filename = ProductDownload::getNewFilename();
    $file = $_FILES['virtual_product_file']['tmp_name'];
    copy($file, _PS_DOWNLOAD_DIR_ . $download->physically_filename);
    @unlink($file);
    $download->date_deposit = date('Y-m-d H:i:s');
    $download->nb_days_accessible = '30';
    $download->active = 1;
    $download->save();
//Картинки
    if ($_FILES['image_product'])
	foreach ($_FILES['image_product']['tmp_name'] as $image_product) {
	    if ($image_product) {
		$image = new Image();
		$image->id_product = intval($product->id);
		$image->position = Image::getHighestPosition($product->id) + 1;
		$image->cover = !sizeof($product->getImages(Configuration::get('PS_LANG_DEFAULT')));
		$image->add();
		copyImage($product->id, $image->id, $image_product);
	    }
	}
} elseif (Tools::isSubmit('submitPayment')) {
    $activeTab = 'payment';
}

$customer = new Customer(intval($cookie->id_customer));

$smarty->assign(array(
    'categories' => (Category::getSimpleCategories(intval($cookie->id_lang))),
    'activeTab' => $activeTab,
    'error' => $error
));

echo Module::display(dirname(__FILE__) . '/addprod.php', 'addprod-user.tpl');

include(dirname(__FILE__) . '/../../footer.php');
?>
